Problema al instalar SAP en Ubuntu 10.04 (Solucionado)

Imagen de albert_arbiol
6 puntos

Hola,

intento instalar el archivo PlatinGUI720Linux_4.jar y me da este error:

Exception in thread "main" java.lang.NoSuchMethodError: sun.reflect.Reflection.getCallerClass(I)Ljava/lang/Class;
at com.sap.platin.micro.Dynamic.getClassLoader(Dynamic.java:284)
at com.sap.platin.micro.Dynamic.createClass(Dynamic.java:96)
at com.sap.platin.micro.MicroUtils.getBuildDate(MicroUtils.java:382)
at com.sap.platin.micro.MicroUtils.getSystemInfo(MicroUtils.java:471)
at com.sap.platin.micro.MicroUtils.getInstallationSystemInfo(MicroUtils.java:395)
at com.sap.platin.micro.MicroUtils.writeSystemInfo(MicroUtils.java:163)
at com.sap.platin.micro.Microkernel.installImpl(Microkernel.java:1390)
at com.sap.platin.micro.Microkernel.install(Microkernel.java:1255)
at com.sap.platin.micro.Microkernel.main(Microkernel.java:2437)

El caso es que antes lo instale, no supe desinstalarlo y lo borré de la carpeta /opt/SAPclients/
No se me ejecutava el SAP, así que opte por borrar la carpeta e desinstalar java i volver a instalar java, sapgui, etc.

He seguido estos pasos:

sudo apt-get update
sudo apt-get install sapgui-package
java -jar platingui-linux-710r10.jar

sacados de un foro, no encuentro informacion sobre este error...si alguien sabe de alguna web que trate de SAP y Linux, agradeceria me pusiera un enlace. Gracias.

Estare buscando más info en el google...

Un saludo.

Imagen de albert_arbiol
+1
0
-1

Hola, lo he solucionado desinstalando Oracle java 8 e instalando de nuevo el Oracle java 6 (en algunos foros aconsejan esta versión..) y ejecutando platingui-linux-710r10.jar se me ha instalado de nuevo el SAP.
Aqui lo dejo para que conste.

Un saludo.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

de nada sirve que pongas en un comentario el título "SOLUCIONADO", aparte de verse mal nadie más que tu va a saber que tu problema esta solucionado, salvo que entren en el hilo, pero ese no es el caso.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de albert_arbiol
+1
0
-1

Hola, pues cual es el caso? solo le puse un asunto, no sabia que hacer...
Disculpa, pero tampoco lo veo tan mal..aclarame tu comentario, no quiero malos entendidos.
Y si es por que no busque info en ggole, o en el foro...a mi no me salia nada del tema .. si hay algo del tema en este foro, yo no lo encontré.

Ahora almenos hay una posible solución a dicho problema, no se...ya me comentas.

Un saludo.

PD: ok, ya lo vi y lo hice. Gracias.

PD: mi solución ha sido una xapuza, desinstalar y volver a instalar, si alguien sabe de java le agradecería me comentara el por que del error. MIL GRACIAS!!

+1
0
-1